## Apache Zeta Components Manual :: Docs For Class ezcTranslationData

### Translation::ezcTranslationData

### Class ezcTranslationData

A container to store one translatable string.

This struct is used in various classes to store the data accompanying one translatable string.

Source for this file: /Translation/src/structs/translation_data.php

    ezcBaseStruct
       |
       --ezcTranslationData

Version: | //autogentag//

### Constants

`OBSOLETE = 2` | Used when a translated string is obsolete.
`TRANSLATED = 0` | Used when the translated string is up-to-date
`UNFINISHED = 1` | Used when a translated string has not been translated yet.

### Member Variables

public integer | `$column` The column where the string is
public string | `$comment` Comment about the translation.
public string | `$filename` The filename the string was found in
public integer | `$line` The line where the string is
public string | `$original` The original untranslated source string.
public integer | `$status` The status, which is one of the three constants TRANSLATED, UNFINISHED or OBSOLETE.
public string | `$translation` The translated string.

### Method Summary

public ezcTranslationData | `__construct( $original , $translation , $comment , $status , [ $filename = null] , [ $line = null] , [ $column = null] )` Constructs an ezcTranslationData object.

### Methods

#### __construct

ezcTranslationData __construct( string $original , string $translation , string $comment , int $status , [string $filename = null] , [int $line = null] , [int $column = null] )

Constructs an ezcTranslationData object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$original` | string |
`$translation` | string |
`$comment` | string |
`$status` | int |
`$filename` | string |
`$line` | int |
`$column` | int |

Documentation generated by phpDocumentor 1.4.3